Skip to main content
GET
/
workspace
/
permissions
List of Permissions
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/permissions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "timestamp": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    },
    "count": {
      "workspace_roles": 123
    },
    "included": {
      "workspace_roles": [
        {
          "id": "<string>",
          "name": "<string>",
          "default_grant": true
        }
      ]
    },
    "links": [
      "<string>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
string

Include related resources (roles)

filter[id]
string

Filter by Permission ID

filter[name]
string

Filter by permission name

Partial search by permission name

filter[created_before]
string

Filter by created before date

filter[created_after]
string

Filter by created after date

filter[updated_before]
string

Filter by updated before date

filter[updated_after]
string

Filter by updated after date

Response

The collection of WorkspacePermissionDetailedResponseData

id
string
required
Example:

"wsprm_01hq8xyzabc123def456ghi789"

name
string
required

The name of the permission. All names are lowercase with only letters and periods. Permissions are hard coded into the application based on the UI pages or API endpoints that the user can access. You can create custom roles and assign one or more existing permissions

Example:

"workspace.user.view"

timestamp
TimestampBasicData · object
required

The timestamps for the workspace permission record

count
object
required

Counts of related resources

included
object
required

Included related resources

API hyperlinks related to the workspace permission record.

self: string workspace_roles: string }